package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急管理模块-通讯保障机构-机构状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/10
 */
@Getter
public enum EmCommunicationAgencyStatusEnums implements CodeDescEnumInterface {
    ACTIVATED(0, "已激活"),
    UNACTIVATED(1, "未激活");

    private final Integer code;
    private final String desc;

    EmCommunicationAgencyStatusEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
